// JavaScript Document

var current_screen = "";
var current_button = "";
var timer_flag;
var ajax_timeout = 10000;
var schedule_html, about_html, song_html;
var banner_flag = 0;
var app_info_flag = 0;

// ##########################################################

$(document).ready(function(){

	//configure_heights_in_px();
	configure_fonts_in_px();
	schedule_html = "<div class='main_title'>Daily schedule</div><p>";
	about_html = "<div class='main_title'>About Us</div>";
	
	song_html = "<div class='main_title'>What's your favourite song?</div>";
	song_html += "<div id='favorite_song_form'>";
    song_html += "<div class='favorite_song_input_div'><input class='favorite_song_input' id='favorite_song_song' name='favorite_song' type='text' placeholder='My favourite song is...' /></div>";
    song_html += "<div class='favorite_song_input_div'><input class='favorite_song_input' id='favorite_song_name' name='favorite_song_name' type='text' placeholder='My Name is...' /></div>";
    song_html += "<div class='favorite_song_input_div'><input class='favorite_song_input' id='favorite_song_country' name='favorite_song_country' type='text' placeholder='I live in ...' /></div>";
    song_html += "<input id='favorite_captcha' name='favorite_captcha' type='hidden'  value='' />";
    song_html += "<div id='favorite_song_send' align='left'> <img src='images/send.svg' width='100%' /> </div>";
    song_html += "</div>";
    song_html += "<div id='favorite_song_msg' align='center'></div>";

	get_schedule();
	get_about();
	get_banner();
	
	// ################################################################

	$(document).on('click','a[target="_blank"]', function(e) {
		e.preventDefault();
		var url = $(e.currentTarget).attr('href');
		var ref = window.open(url, '_system', 'location=no');
		return false;
	});

	// ################################################################

	$("#app_info_button").on('click',function(){
		if (app_info_flag == 0)
		{
			$("#app_info").show();
			app_info_flag = 1;
		}
		else
		{
			$("#app_info").hide();
			app_info_flag = 0
		}
	});


	// #####################################################

	$("#chat_button").on('click',function(){
		$("#page_2").hide(0);
		$("#page_1").show(0);
		$(current_button).css({"background":"#eb008a"});

		var url = $(e.currentTarget).attr('href');
		var ref = window.open(url, '_system', 'location=no');

		return false;
	});

	$("#song_button").on('click',function(){
		click_a_but("song")
	});

	$("#schedule_button").on('click',function(){
		click_a_but("schedule")
	});

	$("#about_button").on('click',function(){
		click_a_but("about")
	});

	// ################################################################
	
	$(document).on('click', '#favorite_song_send', function() {
		
		$('#favorite_song_input').focusout();
		var song_val = $('#favorite_song_song').val();
		var name_val = $('#favorite_song_name').val();
		var country_val = $('#favorite_song_country').val();
		
		var favorite_captcha = $('#favorite_captcha').val();

		if (song_val.length <= 5)
		{
			$('#favorite_song_song').val('');
			$('#favorite_song_song').css({"background" : "#eb008a"});
			$("#favorite_song_msg").html('Song name is too short')
			$("#favorite_song_msg").css({"background":"rgba(235,0,138,1.00)","color":"#ffffff","display":"block"});
			setTimeout('$("#favorite_song_msg").hide(0)',3000);
		}
		else
		{
			if (favorite_captcha == '')
			{
				
				$("#favorite_song_msg").css({"background":"rgba(0,0,0,0)"});
				$("#favorite_song_msg").html('<img src="images/ajax-loader.gif" width="15" height="15" alt=""/>')
				$("#favorite_song_msg").css({"display":"block"});
				
				$.ajax({ 
					url:"http://www.helendoronradio.com/send_fav_song_ajax_app.php",
					type: "post",
					data: {email_info:favorite_captcha + "~;~" + song_val + "~;~" + name_val + "~;~" + country_val},
					error: function(result){
						// show error msg
						$("#favorite_song_msg").css({"background":"rgba(235,0,138,1.00)","color":"#ffffff","display":"block"});
						$("#favorite_song_msg").html('Error occurred, Please try again later')
						setTimeout('$("#favorite_song_msg").hide(0)',3000);
					},
					success:function(result){
						// show o.k. msg
						$('#favorite_song_song').val('');
						$('#favorite_song_name').val('');
						$('#favorite_song_country').val('');

						$('#favorite_song_form').hide(250);
						
						$("#favorite_song_msg").css({"background":"rgba(51,204,51,1.0)","color":"#ffffff"});
						$("#favorite_song_msg").html('<div id="favorite_song_thanks" align="left" dir="ltr">Thank you for letting us know your favourite song.<br> We will be playing it on the next live show which begins at 15:00 CET Monday-Thursday.</div>');
						$("#favorite_song_msg").css({"display":"block"});

						setTimeout('$("#favorite_song_msg").hide(0);$("#favorite_song_form").show(250);',10000);
					}
				  });				
			}
		}
		
		$('#favorite_song_song').on('click',function() {
			$(this).css({
				"background" : "#ffffff"	
			});
		});
		
	});	
	
	
	var temp_date = new Date();
	var copyright_year = temp_date.getFullYear();
	$("#copyright_year").html(copyright_year);

});	// end (document).ready

//#####################################################

function get_schedule()
{
	// ############## Schedule ##############
    
	$.ajax({
		url: "http://helendoronradio.com/schedule-4-app/",
		timeout:ajax_timeout,
		error: function(result){
			setTimeout("get_schedule()",2000);
		},
		success: function(result){

			var schedule = {"info": result};
			var schedule_first_hour = "<ul class='shcedule'><span class='shcedule_title'>First Hour</span><br>";
			var schedule_second_hour = "<ul class='shcedule'><span class='shcedule_title'>Second Hour</span><br>";
			var schedule_third_hour = "<ul class='shcedule'><span class='shcedule_title'>Thirds Hour</span><br>";
			
			for (var i in schedule.info)
			{
				if (schedule.info[i]['first_hour'] !== undefined)
				{
					schedule_first_hour += "<li class='shcedule'>" + schedule.info[i]['first_hour'] + "</li>";
				}
	
				if (schedule.info[i]['second_hour'] !== undefined)
				{
					schedule_second_hour += "<li class='shcedule'>" + schedule.info[i]['second_hour'] + "</li>";
				}
	
				if (schedule.info[i]['third_hour'] !== undefined)
				{
					schedule_third_hour += "<li class='shcedule'>" + schedule.info[i]['third_hour'] + "</li>";
				}
			}
			
			schedule_first_hour += "</ul>";
			schedule_second_hour += "</ul>";
			schedule_third_hour += "</ul>";
			
			schedule_html += schedule_first_hour + schedule_second_hour + schedule_third_hour + "</p>";
	
		}
	});
}

function get_about()
{
	// ############## About ##############
    $.ajax({
		url: "http://helendoronradio.com/about-4-app/",
		timeout:ajax_timeout,
		error: function(result){
			setTimeout("get_about()",2000);
		},
		success: function(result){
        	about_html += result;
			$("#main_about").html(about_html);
		}
	});
}

function get_banner()
{
	// ############## Banner ##############

	var banner_width = $("#banner_in").width();
	var banner_height = $("#banner_in").height();

    $.ajax({
		url: "http://helendoronradio.com/banner-4-app/",
		timeout:ajax_timeout,
		error: function(result){
			if (banner_flag < 3)
			{
				setTimeout('get_banner()',5000);
			}
			banner_flag ++;
		},
		success: function(result){
	    	$("#banner_in").html(result);
		}
	});
}

//#####################################################

function configure_fonts_in_px()
{
	
	var body_width = $(document).width();

	// ### font Size ###
	if (body_width < 550)
	{
		$("body").css({"font-size":"20px"});
		$(".main_title").css({"font-size":"20px"});
		$("#main_info p").css({"font-size":"16px"});
		$("#main_info ul li").css({"font-size":"15px"});
		$("#player_txt_title_1, #player_txt_title_2").css({"font-size":"18px"});
		$(".player_txt_info").css({"font-size":"13px"});
		$(".favorite_song_input_div").css({"height":"34px"});
		$("input.favorite_song_input").css({"font-size":"16px","height":"28px"});
		$("#favorite_song_thanks").css({"font-size":"24px"});
		$("#app_info").css({"font-size":"18px"});
		$("#copyright").css({"font-size":"14px"});
	}
	else
	{
		$("body").css({"font-size":"20px"});
		$(".main_title").css({"font-size":"30px"});
		$("#main_info p").css({"font-size":"20px"});
		$("#main_info ul li").css({"font-size":"20px"});
		$("#player_txt_title_1, #player_txt_title_2").css({"font-size":"40px"});
		$(".player_txt_info").css({"font-size":"30px"});
		$(".favorite_song_input_div").css({"height":"50px"});
		$("input.favorite_song_input").css({"font-size":"20px"});
		$("#favorite_song_thanks").css({"font-size":"24px"});
		$("#app_info").css({"font-size":"18px"});
		$("#copyright").css({"font-size":"14px"});
	}

}

//#####################################################

function check_main_info_height(what)
{

	var main_info_height = $("#main_info").height();
	var main_info_in_height = document.getElementById(what).scrollHeight;

	if (main_info_height < main_info_in_height)
	{
		$("#main_info_marker").show();
	}
	else
	{
		$("#main_info_marker").hide();
	}
}

//#####################################################

function go_home()
{
	$("#page_2").hide(0);
	$("#page_1").show(0);
	$(current_button).css({"background":"#eb008a"});
}

//#####################################################

function click_a_but(id)
{
	$("#page_1").hide(0);
	$("#page_2").show(0);
	$("#" + id + "_button").css({"background":"#33cc33"});

	clearTimeout(timer_flag);
	timer_flag = setTimeout("go_home()",60000);

	if (current_screen != "#main_" + id)
	{
		$(current_button).css({"background":"#eb008a"});
		$(".main_info_in").hide();
		$("#page_" + id).html(window[id + "_html"]);
		$("#page_" + id).show();
		$("#page_" + id).scrollTop(0);
		configure_fonts_in_px();
		check_main_info_height("page_" + id);
		current_screen = "#main_" + id;
		current_button = "#" + id + "_button";
	}

}

//#####################################################
//#####################################################

	// Wait for device API libraries to load
    function onLoad() {
		document.addEventListener("deviceready", onDeviceReady, false);
    }

    // device APIs are available
    function onDeviceReady() {
        document.addEventListener("resume", onResume, false);
		document.addEventListener("menubutton", onMenuKeyDown, false);
		document.addEventListener("offline", onOffline, false);
		document.addEventListener("online", onOnline, false);
    }


	// Handle the online event
	function onOnline() {
		$("#offline_msg_container").hide(250);
	}


	// Handle the online event
	function onOffline() {
		$("#offline_msg_container").show(250);
	}

	// Handle the menu button
	function onMenuKeyDown() {
		if (app_info_flag == 0)
		{
			$("#app_info").show();
			app_info_flag = 1;
		}
		else
		{
			$("#app_info").hide();
			app_info_flag = 0
		}
	}

    // Handle the resume event
    function onResume() {

		if (player_status == 1)
		{

		setTimeout(function() {
			// TODO: do your thing!
				myRadio.pause();
				myRadio.play();
			}, 0);
		}
    }
